技术CTO-关注编程入门知识,提供编程入门教程

您的位置: 首页 > 移动开发 > android > 正文

类中没有继承MapActivity的选项。

来源: 技术CTO 阅读:

不知道为什么新建android 项目要extends MapActivity 总是不能继承。因为不存在此类。要自己created...为什么呢,
有人说和版本有问题,我更改了一下版本就过还是一样的,,等待高手解决

这个没有在标准的Android SDK中存在,需要格外添加,应该是google API那部分,你更新Android SDK估计是可以看到这个包的。
这个要全部更新google API吗?还是只有某个版本呢
应该只需要更新对应的版本
引用 1 楼 ultrapro 的回复:
这个没有在标准的Android SDK中存在,需要格外添加,应该是google API那部分,你更新Android SDK估计是可以看到这个包的。
引用 3 楼 fff32165 的回复:
应该只需要更新对应的版本

引用 1 楼 ultrapro 的回复:
这个没有在标准的Android SDK中存在,需要格外添加,应该是google API那部分,你更新Android SDK估计是可以看到这个包的。


对应版本指的的是什么,。。
mei ren zhidao a 
新建项目时,Build Target选择Goolge APIs,或者直接添加maps.jar
6楼正解。可更改当前项目引入的SDK版本,选择对应的Goolge APIs,就可以直接导入包含maps.jar的包了
遇到同样的问题,求解。

MyActivity extends MapActivity      显示小红叉,没有这个类。
需要导入一个第三方的jar包
\
点击该项目,鼠标右键,属性,选择Android项,选择对应的Project Build Target中与你项目版本相应Google APIs 的Target Name,然后apply,OK,即可。
楼上正解,我也遇到这个问题,刚解决了!
@lqzhouxx,我的ADT都没有这些选项怎么办?

^_^ 如果您热爱技术、热爱编程,想与更多的朋友一起交流学习,欢迎加入本站官方QQ群:345733473 ^_^